Bug 56847 - EDITING VIEWING: Can't insert video and play videos with Impress
Summary: EDITING VIEWING: Can't insert video and play videos with Impress
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: x86-64 (AMD64) All
: highest major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: regression
: 60228 76729 77329 77410 78913 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2012-11-07 18:47 UTC by Benoît Durand
Modified: 2015-10-07 22:10 UTC (History)
17 users (show)

See Also:
Crash report or crash signature:


Attachments
test file including AVI and MOV videos (1.05 MB, application/vnd.oasis.opendocument.presentation)
2013-02-13 12:07 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benoît Durand 2012-11-07 18:47:13 UTC
Problem description: Can't have any picture in an avi file by using video player, but works well when playing the presentation.

Steps to reproduce:
1. Open Impress new presentation
2. Insert / Movie and Sound...
3. Opening an avi file


Current behavior :  I can see only a black window with a grey "?" centered on it. When starting the video with the player, can only hear the sound - (the black window becomes white), but when playing (F5) the presentation, everything works well.

Expected behavior: pictures + sound when programming the presentation. And as soon as possible, offer the capability to use a multimedia reader during the presentation. It would be a wonderful improvement !

Thanks for all your work, and best wishes for the future!

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_6_8) AppleWebKit/534.57.2 (KHTML, like Gecko) Version/5.1.7 Safari/534.57.2
Comment 1 Roman Eisele 2012-11-14 19:10:01 UTC
(Improved Platform and Summary fields a little bit.)
Comment 2 Roman Eisele 2012-11-14 19:26:19 UTC
Thank you very much for your bug report!

REPRODUCIBLE with LibreOffice 3.6.3.2 (Build ID: 58f22d5) on Mac OS X 10.6.8 (Intel). I have tested with the .avi sample file in attachment 69335 [details] (from bug 56549); I just added it to a new empty presentation and have the same results:
* while editing the presentation, “I can see only a black window with a grey "?" centered on it.”;
* but when playing the presentation, the video plays correctly.

Set Status to NEW (confirmed).
Comment 3 Roman Eisele 2012-11-14 19:30:06 UTC
Not a regression: the problem is already reproducible since LibreOffice 3.4.0 
OOO340m1 (Build:12). (I can’t test 3.3.0, because it just crashes when opening the presentation -- probably another bug -- thank heaven that the crash is fixed ;-). Maybe/probably inherited from OOo.

Still reproducible with the current master builds, e.g.
LOdev 4.0.0.0.alpha0+ (Build ID: 32315e; pull time: 2012-11-13 00:32:26).
Comment 4 Roman Eisele 2012-11-14 19:51:12 UTC
@ Julien Nabet, Rainer Bielefeld:

Hi Julien and Rainer,

can you please try to reproduce this issue on Linux/Windows? It would be nice to know if this bug is limited to Mac OS X, or a general issue ...

Do you know about any duplicates? I did not find an exact one. (It is possible that this is a duplicate of bug 34892, just for Mac OS X instead of Linux; but
I have to confess that I don’t understand bug 34892 exactly (*), it is so confused -- some comments talk about videos not playing, some about crashes.)

Thank you very much for your help!
Comment 5 Benoît Durand 2012-11-17 19:47:07 UTC
I don't know if this will help : with Windows 7, everything's ok.
I tried Libre Office with Linux (mint 13 mate 64 bits) : sound is ok, but no picture at all.
I tried (with the same Linux dist.) OpenOffice 3.4.1 : everything works...

Hope someone will find a solution soon, thanks a lot for your help !

Benoît.

Le 14 nov. 2012 à 20:51, bugzilla-daemon@freedesktop.org a écrit :

> Roman Eisele changed bug 56847 
> What	Removed	Added
> CC	  	LibreOffice@bielefeldundbuss.de, serval2412@yahoo.fr
> Summary	: Playing .avi videos with Impress video player (Mac OS X)	VIEWING: Playing .avi videos with Impress video player (Mac OS X)            
> 
> Comment # 4 on bug 56847 from Roman Eisele
> @ Julien Nabet, Rainer Bielefeld:
> 
> Hi Julien and Rainer,
> 
> can you please try to reproduce this issue on Linux/Windows? It would be nice
> to know if this bug is limited to Mac OS X, or a general issue ...
> 
> Do you know about any duplicates? I did not find an exact one. (It is possible
> that this is a duplicate of bug 34892, just for Mac OS X instead of Linux; but
> I have to confess that I don’t understand bug 34892 exactly (*), it is so
> confused -- some comments talk about videos not playing, some about crashes.)
> 
> Thank you very much for your help!
> 
> You are receiving this mail because:
> You reported the bug.
Comment 6 Julien Nabet 2012-11-18 12:19:11 UTC
(In reply to comment #4)
> can you please try to reproduce this issue on Linux/Windows? It would be
> nice to know if this bug is limited to Mac OS X, or a general issue ...
Hi Roman, I'm not at home this week-end, will give a try in the next days.
Comment 7 Julien Nabet 2012-11-18 20:54:59 UTC
Roman: I gave a try but when I wanted to insert the avi file of your comment2, I had a popup indicating:
"The format of the selected file is not supported.".
Comment 8 Alex Thurgood 2012-11-19 09:11:59 UTC
Hi Julien,

Well I'm glad you have the same problem with inserting media as I did. I wanted to try out Michael Meek's gstreamer "improvements" for QA on Linux 32bit, but was unable to insert anything into an Impress slide that remotely ressembled a media file. I mentioned this on the QA discussion, but nothing seems to have come of it.

Perhaps you should bump him, so that we can test this current bug ?

@Roman : I'll give this a go later on my Mac, I've got some catching up to do.

Alex
Comment 9 Alex Thurgood 2012-11-19 09:17:01 UTC
I can't even insert any sound objects on my build from master.

Alex
Comment 10 Julien Nabet 2012-11-19 10:21:07 UTC
Michael: Alex and I have problems to insert media files in Impress. Would you have some time to take a look?
Comment 11 Michael Meeks 2012-11-19 10:28:27 UTC
Yes - it's on my TODO - for after the feature-freeze; OTOH - I don't believe we did anything that would affect OS/X in this area recently, so ... that concerns me. Will poke in a bit :-) [ thanks ! ]
Comment 12 Roman Eisele 2012-11-22 07:06:50 UTC
(Just improved the summary, to make clear the problem.)
Comment 13 V Stuart Foote 2013-02-10 23:32:29 UTC
*** Bug 60228 has been marked as a duplicate of this bug. ***
Comment 14 Alex Thurgood 2013-02-11 19:03:49 UTC
Testing on LO365 OSX with Impress, it is not just AVI files that are previewed incorrectly.

On my OSX server, I get a IVL4 format not supported and can not insert a test AVI.

If I try with a mp4 file, the video clip plays in presentation mode, but the preview is still a grey/black box with a symbol of a loudspeaker, that won't play in Slide Edit mode.

If I try a WMV file, I can play it in Flip4Mac, but it will not preview or play in presentation mode in LO.

I can not insert a webm format video clip either, LO replies that the format is unsupported, yet it plays in my browser.


For a multimedia platform such as the Mac, this is pretty useless.

Alex
Comment 15 Alex Thurgood 2013-02-11 19:08:34 UTC
OGV is also unsupported.

Tested so far :

OGV : uninsertable, gives an error message "Unsupported file format".


Alex
Comment 16 Alex Thurgood 2013-02-11 19:10:03 UTC
Am upping priority as this makes inserting video in LO(Impress) virtually useless. I'd like to make this a blocker.


Alex
Comment 17 Benoît Durand 2013-02-11 20:39:17 UTC
I can now play WebM and MP4 files after adding  Perian for OSX. But as Perian will soon disappear, this is not the right solution for LO.
I would be very happy if, when you are working on this bug, you could improve the handling of videos to impress : add the ability to print a block command to move inside the movie during the presentation. At least ensure that the click to start the video takes place in the video and not the outside, which is not very logical ...
Again thank you for your work!

Benoît.

Le 11 févr. 2013 à 20:10, bugzilla-daemon@freedesktop.org a écrit :

> Alex Thurgood changed bug 56847 
> What	Removed	Added
> Severity	normal	major
> Priority	medium	high
> 
> Comment # 16 on bug 56847 from Alex Thurgood
> Am upping priority as this makes inserting video in LO(Impress) virtually
> useless. I'd like to make this a blocker.
> 
> 
> Alex
> 
> You are receiving this mail because:
> You reported the bug.
Comment 18 Michael Meeks 2013-02-11 21:02:54 UTC
Hi Alex,

> Testing on LO365 OSX with Impress, it is not just AVI files that are
> previewed incorrectly. On my OSX server, I get a IVL4 format not
> supported and can not insert a test AVI.

Sigh - just to make this emphatically clear. LibreOffice ships -zero- media codecs, and given the extraordinary state of the media industry, that is set to continue.

As such we use the underlying Mac quicktime API and streaming services. If a 
QTMovieView will not show the movie - neither will we.

I have no idea what other apps will use the raw mac QTMovieView API / impl. but if they can show you a movie - then it should work in LibreOffice; if not - then we cannot.

Can you verify that whatever codec you're talking about: webm, ogv etc. is registered with the operating-system ?
Comment 19 Michael Meeks 2013-02-11 21:16:26 UTC
Seemingly this is a basic system / codec issue - I'm tempted to mark it fixed; confusing this issue with random other requests is not good style of course.

Potentially we want another bug: "educate user on how to install codecs" when/if we can detect they are missing - but that's quite a thing to keep up-to-date.
Comment 20 Alex Thurgood 2013-02-11 22:45:12 UTC
Hi Michael,

Yes, sorry, I thought that possibly the gstreamer stuff had been integrated into the OSX version of LO as well. Oh well.

Out of the box, Quicktime is supposed to support AVI playback, however support is patchy :

http://support.apple.com/kb/HT1536

and

http://support.apple.com/kb/TA38552


Lion Quicktime codec support is listed here :

http://support.apple.com/kb/HT3526?viewlocale=en_EN

http://www.iskysoft.com/topic-snow-leopard/how-to-play-avi-with-quicktime-on-mac.html

in other words, AVI files that used to be read, no longer are in Lion and Mountain Lion.

Note that according to the last article in that list, the solution to install Perian (which works with Snow Leopard) to be able to read AVI is a non-starter for OSX Lion or Mountain Lion.

As to OGV and WEBM, these are playable in Firefox or Chrome on OSX without anything further, i.e. they don't rely on the Quicktime backend as far as I can tell.

So, I guess that unless LO changes its multimedia backend reliance on Quicktime on OSX, then the situation will only seemingly get worse as Apple restricts it to the only formats it is prepared to support.

The irony of the situation is that VLC now has far broader built-in codec support than Quicktime. Sigh.


Oh well, better close this then as INVALID, as there is nothing to be done.


Alex
Comment 21 Alex Thurgood 2013-02-11 22:50:07 UTC
@ALL :
List of supported codecs in QuickTime out of the box :

http://support.apple.com/kb/HT3775


Alex
Comment 22 Alex Thurgood 2013-02-11 22:55:16 UTC
And just to round things off, a comparison with VLC :

http://www.videolan.org/vlc/features.php?cat=video


Alex
Comment 23 Michael Meeks 2013-02-12 11:07:39 UTC
Yes, vlc rocks wrt. codec support. I would -love- to detect that if it's on the system, dlopen the (newly LGPL) library behind it, and use that (if we can) in preference to anything else on the system.

That of course needs an enhancement bug :-)
Comment 24 declan_moriarty 2013-02-12 16:46:43 UTC
This is a regression.  It worked in LibreOffice 3.3.  MOV and AVI files will open in LibreOffice 3.3 embedded in a Writer document but not in 3.4.x or later.

Note that now in LibreOffice 4.0.0 it is impossible to embed a sound file even.  You have to link the file to the document.  In view of what has already been said about this bug probably a good thing!  

It is all very well to be able to open video files in VLC or another media player.  How is this possible when the file is embedded in an ODF (.odt) document?

How do you save an embedded media file in an ODT document?  If you copy the file you cannot paste it to the desktop or anywhere else on OS X?  There is no Save image as... option on the context menu of a linked/Embedded Sound/Video file as there is for an embedded picture.  Note that with a picture there is a "Edit with external tool...' option on the context menu as well.

All of this doesn't help someone who has a presentation in Impress with embedded media files that should play on a mac and won't.  If they are embedded, at the moment there is no way to liberate them from the document, and that doesn't help someone who has to present using a different mac.

Sorry for pointing this out, by the way the development team for LibreOffice is very helpful.  Imagine being able to submit bug reports to Microsoft and getting this level of feedback.  Thanks again for solving bug 57532, this certainly would not have been possible with MS in such a timely manner!
Comment 25 Alex Thurgood 2013-02-13 11:25:00 UTC
(In reply to comment #24)
> This is a regression.  It worked in LibreOffice 3.3.  MOV and AVI files will
> open in LibreOffice 3.3 embedded in a Writer document but not in 3.4.x or
> later.
> 
> Note that now in LibreOffice 4.0.0 it is impossible to embed a sound file
> even.  You have to link the file to the document.  In view of what has
> already been said about this bug probably a good thing!  
> 

Sorry, but I can't play the sample AVIs available here :
http://istec.colostate.edu/me/facil/dynamics/avis.htm

QuickTime moans that I need additional plugins, for which of course, an AVI plugin on OSX 10.8 (Mountain Lion) is not available.

when testing on Impress :
LibreOffice 3.3.4 
OOO330m19 (Build:401)
tag libreoffice-3.3.4.1

OSX 10.8.2

so I guess your problem is with regard to the specific combination of SnowLeopard and LO4?


Alex
Comment 26 Alex Thurgood 2013-02-13 11:36:59 UTC
More testing with files from :

http://cinelerra.org/footage/

I used grill-mjpeg.mov

LO 3.3.4 on OSX 10.8.2 allows a MOV file from the above source to be inserted and playback in edit mode, however the preview is not available. The MOV file plays fine in presentation mode.

Also tested on :
LO Version 4.1.0.0.alpha0+ (Build ID: f5cde53719544c7445ab6fdb465e332ac5678b0)

The playback in slide edit mode only plays sound, the video is not displayed. However, both video and sound output are correct in presentation mode.

Confirming that this is a regression over LO 3.3.4, with regard to MOV. I can not test for AVI for the reasons given above. Someonelse will have to try that on a SnowLeopard.


Alex
Comment 27 Alex Thurgood 2013-02-13 11:38:42 UTC
Just so we are clear, I have confirmed a regression in the preview playability, when in slide edit mode, of an inserted MOV file on OSX 10.8.2 and LO4.


Alex
Comment 28 Alex Thurgood 2013-02-13 11:52:44 UTC
Also tested on :
LibreOffice 3.5.7.2 
Version ID : 3215f89-f603614-ab984f2-7348103-1225a5b

Problem reproducible there too.
Changing earliest version number.

Alex
Comment 29 Alex Thurgood 2013-02-13 12:03:01 UTC
Also tested with the following AVI :

http://cinelerra.org/footage/MVI_3572.AVI


Confirming the same problem is reproducible :
On LO 3.3.4, video and sound preview in slide edit mode
On LO 3.5.7.2, only sound can be heard in slide edit mode when previewing, no video.
On LO4, only sound can be heard in slide edit mode when previewing, no video.


Alex
Comment 30 Alex Thurgood 2013-02-13 12:07:05 UTC
Created attachment 74745 [details]
test file including AVI and MOV videos

I have uploaded a test file containing two slides, the first with embedded AVI, and the second with embedded MOV.


Alex
Comment 31 Alex Thurgood 2013-02-13 16:26:30 UTC
A user on the French lists has just reported a similar finding with insertion of a sound file in Impress using LO 3.5.4...



Alex
Comment 32 declan_moriarty 2013-02-13 20:25:49 UTC
(In reply to comment #25)
> (In reply to comment #24)
> Sorry, but I can't play the sample AVIs available here :
> http://istec.colostate.edu/me/facil/dynamics/avis.htm
> 
> QuickTime moans that I need additional plugins, for which of course, an AVI
> plugin on OSX 10.8 (Mountain Lion) is not available.
> 
> when testing on Impress :
> LibreOffice 3.3.4 
> OOO330m19 (Build:401)
> tag libreoffice-3.3.4.1
> 
> OSX 10.8.2
> 
> so I guess your problem is with regard to the specific combination of
> SnowLeopard and LO4?
> 
> 
> Alex

Sorry for not replying sooner, I have been doing other things.  The problem I was having was that supported videos (MOV) and (AVI) on Snow Leopard were not paying, only sound was playing, in Writer ODF (.odt) documents.  I hope that the changes to the "Insert Movie and Sound..." option will affect all Office components.  Somehow LibO 3.3.x was able to access the codecs on the Mac correctly.
Comment 33 retired 2013-11-15 12:00:46 UTC
For what it's worth, the test file does open but no video is seen or can be played in

LO 4.1.3.2
or
LO Version: 4.2.0.0.alpha1+
Build ID: 868103846b9b32bfecd77c08055fdca69d0265c2
TinderBox: MacOSX-x86@48-TDF, Branch:master, Time: 2013-11-14_23:51:46

on OS X 10.9.
Comment 34 Owen Genat (retired) 2014-01-26 12:19:54 UTC
(In reply to comment #30)
> Created attachment 74745 [details]
> test file including AVI and MOV videos
> 
> I have uploaded a test file containing two slides, the first with embedded
> AVI, and the second with embedded MOV.

The videos files have not been embedded in the ODP. If I open the ODP using an archive manager it contains a Pictures/ directory (with some PNG files) but no Media/ directory. The video files appear to have been linked rather than embedded e.g., in content.xml:

<draw:plugin xlink:href="../../../../../Downloads/MVI_3572.AVI" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad" draw:mime-type="application/vnd.sun.star.media">

<draw:plugin xlink:href="../../../../../Downloads/grill-mjpeg.mov" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad" draw:mime-type="application/vnd.sun.star.media">
Comment 35 retired 2014-01-26 21:38:32 UTC
Tested with MP4 video here. Strange behavior: after inserting the video via menu Insert > Movie and Sound I get a grey box with  a light-grey questionmark in it.

If I then hit "play" on the bottom left movie control section, the box turns white and I hear the sound but do not see any video.

I'd like to nominate this bug to be added to MAB 4.2 since having working video support in a presentation software is essential.

Setting to NEW since it's very reproducible.
Comment 36 tommy27 2014-01-27 23:59:33 UTC
@FOSS

it should go to the 4.0MAB list since it's not a 4.2.x limited issue
Comment 37 retired 2014-01-28 00:02:55 UTC
tommy27: was discussion this exact question for mab bugs that appear in more than one release. came to the conclusion they should be in both (talked to colonel or jmadero, can't 100% recall who it was, sorry).

Not sure about the official policy about that though.
Comment 38 Alex Thurgood 2014-01-28 22:15:10 UTC
FWIW, if I enable the VLC switch on my build at compile time, I seem to be able to insert quite a few different types of video and see their preview images in the slide

Alex
Comment 39 Owen Genat (retired) 2014-01-28 23:01:47 UTC
(In reply to comment #35)
> Tested with MP4 video here. Strange behavior: after inserting the video via
> menu Insert > Movie and Sound I get a grey box with  a light-grey
> questionmark in it.

This is the bug as originally described by this report i.e., the preview does not display (which is important for identifying an inserted video object). What follows is just more testing information. Thanks are due to Alex for the various links and information up thread. 
 
> If I then hit "play" on the bottom left movie control section, the box turns
> white and I hear the sound but do not see any video.

FWIW I got the same result here under MacOS 10.6.8 running LO v4.2.0.3 x86 Build ID: c63c03decdf780d8fb80823950665b782ec9ecd0 using the MP4 from https://archive.org/details/test-mpeg

$ ffmpeg -i test-mpeg_512kb.mp4 
...
Seems stream 0 codec frame rate differs from container frame rate: 60.00 (60/1) -> 30.00 (30/1)
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'test-mpeg_512kb.mp4':
  Duration: 00:00:21.00, start: 0.000000, bitrate: 579 kb/s
    Stream #0.0(und): Video: h264, yuv420p, 320x240, 30 tbr, 30 tbn, 60 tbc
    Stream #0.1(und): Audio: aac, 32000 Hz, stereo, s16

I have VLC v2.1.2 installed, which lists "MP4" (MPEG-4 Part 14) as a supported container format, but I am not clear if this also supports H.264 (MPEG-4 Part 10 / AVC), which the video stream in this sample appears to use. The link in comment #21 suggests that QuickTime supports H.264 natively, so I would think this should not be an issue. The MPG version (MPEG-1 video stream) of the same video displays the same effect:

$ ffmpeg -i test-mpeg.mpg
Input #0, mpeg, from 'test-mpeg.mpg':
  Duration: 00:00:20.96, start: 0.768300, bitrate: 269 kb/s
    Stream #0.0[0x1e0]: Video: mpeg1video, yuv420p, 160x120 [PAR 1:1 DAR 4:3], 104857 kb/s, 30 tbr, 90k tbn, 30 tbc
    Stream #0.1[0x1c0]: Audio: mp2, 32000 Hz, stereo, s16, 64 kb/s

The original report indicated the AVI container. Since the AVI links up thread (comment #25 and comment #29) appear to be dead, there are several short AVIs (and a few other containers) from standard recording devices using different codecs over at the Shotwell project: 

http://redmine.yorba.org/projects/shotwell/wiki/AVISamples

I have not tested them all, but the following files from that location, which use a variety of container / codec formats, display the same behaviour:

$ ffmpeg -i 20101130_002.mp4
Seems stream 0 codec frame rate differs from container frame rate: 30000.00 (30000/1) -> 1000.00 (1000/1)
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '20101130_002.mp4':
  Duration: 00:00:02.24, start: 0.000000, bitrate: 3223 kb/s
    Stream #0.0(eng): Video: mpeg4, yuv420p, 848x480 [PAR 1:1 DAR 53:30], 1k tbr, 1k tbn, 30k tbc
    Stream #0.1(eng): Audio: aac, 48000 Hz, mono, s16

$ ffmpeg -i DSCN8163.MOV
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'DSCN8163.MOV':
  Duration: 00:00:01.00, start: 0.000000, bitrate: 2187 kb/s
    Stream #0.0(eng): Video: mjpeg, yuvj422p, 320x240, 15 tbr, 15 tbn, 15 tbc
    Stream #0.1(eng): Audio: pcm_u8, 7875 Hz, mono, s16, 63 kb/s

$ ffmpeg -i MOV02396.MPG 
[mpeg @ 0x1775480]invalid dts/pts combination
    Last message repeated 22 times
Input #0, mpeg, from 'MOV02396.MPG':
  Duration: 00:00:01.36, start: 0.110000, bitrate: 3039 kb/s
    Stream #0.0[0x1c0]: Audio: mp2, 32000 Hz, mono, s16, 64 kb/s
    Stream #0.1[0x1e0]: Video: mpeg1video, yuv420p, 640x480 [PAR 1:1 DAR 4:3], 104857 kb/s, 25 tbr, 90k tbn, 25 tbc

$ ffmpeg -i MVI_0572.AVI
[avi @ 0xa04480]non-interleaved AVI
Input #0, avi, from 'MVI_0572.AVI':
  Duration: 00:00:01.00, start: 0.000000, bitrate: 5773 kb/s
    Stream #0.0: Video: mjpeg, yuvj422p, 320x240, 30 tbr, 30 tbn, 30 tbc
    Stream #0.1: Audio: pcm_s16le, 44100 Hz, mono, s16, 705 kb/s

This would tend to confirm the general nature of this problem. Hopefully these videos will help with testing.

(In reply to comment #38)
> FWIW, if I enable the VLC switch on my build at compile time, I seem to 
> be able to insert quite a few different types of video and see their
> preview images in the slide

\o/ Encouraging news. Thanks again for your work on this Alex.
Comment 40 retired 2014-02-01 08:30:38 UTC
*** Bug 72400 has been marked as a duplicate of this bug. ***
Comment 41 retired 2014-02-01 08:31:48 UTC
Setting OS to ALL since fdo#72400 reports the same issue under Ubuntu.
Comment 42 NoWorries 2014-02-01 10:32:44 UTC
(In reply to comment #35)
> Tested with MP4 video here. Strange behavior: after inserting the video via
> menu Insert > Movie and Sound I get a grey box with  a light-grey
> questionmark in it.
> 
> If I then hit "play" on the bottom left movie control section, the box turns
> white and I hear the sound but do not see any video.
> 
> I'd like to nominate this bug to be added to MAB 4.2 since having working
> video support in a presentation software is essential.
> 
> Setting to NEW since it's very reproducible.

For Kubuntu, I can only get Impress to play a video by adding the package "gst123".  This adds a heap of gstreamer packages which then remove the question mark and show the first image of the video in the slide for the edit mode.
Comment 43 stragu 2014-02-12 08:35:18 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 44 sophie 2014-02-12 09:42:49 UTC
Changed importance to reflect the new policy - Sophie
Comment 45 retired 2014-03-28 12:21:10 UTC
*** Bug 76729 has been marked as a duplicate of this bug. ***
Comment 46 Alex Thurgood 2014-04-16 16:14:28 UTC
(In reply to comment #38)
> FWIW, if I enable the VLC switch on my build at compile time, I seem to be
> able to insert quite a few different types of video and see their preview
> images in the slide
> 


Update :

In my 64 bit OSX master builds (4.3 alpha), I can no longer insert any video file into Impress (Insert - Image/Video) - all of the formats I have tried so far give me the message that they are unsupported, including those that play fine in Quicktime.



It makes no difference whether I build with --enable-vlc or not.



Alex
Comment 47 Benoît Durand 2014-04-18 19:03:43 UTC
It seems that in LibreOffice 4.2.4.1 running under Mac OSX 10.9.2, it is now totally impossible to insert any sound or video in Impress (WebM, fly, avi, wav, mp3…) : "The format of the selected file is not supported."
Maybe it has something to do with OSX (64bits?), because it doesn’t work so bad with OSX10.8.

Benoît.

Le 16 avr. 2014 à 18:14, bugzilla-daemon@freedesktop.org a écrit :

> 
> Comment # 46 on bug 56847 from Alex Thurgood
> (In reply to comment #38)
> > FWIW, if I enable the VLC switch on my build at compile time, I seem to be
> > able to insert quite a few different types of video and see their preview
> > images in the slide
> > 
> 
> 
> Update :
> 
> In my 64 bit OSX master builds (4.3 alpha), I can no longer insert any video
> file into Impress (Insert - Image/Video) - all of the formats I have tried so
> far give me the message that they are unsupported, including those that play
> fine in Quicktime.
> 
> 
> 
> It makes no difference whether I build with --enable-vlc or not.
> 
> 
> 
> Alex
> 
> You are receiving this mail because:
> You reported the bug.
Comment 48 Alex Thurgood 2014-04-20 13:40:41 UTC
Version: 4.2.5.0.0+
Build ID: d65fff78bfcb4c557d35eec8293c9109ab34fc03
TinderBox: MacOSX-10.8@21-10.7SDK, Branch:libreoffice-4-2, Time: 2014-04-19_15:59:10

I can insert the movie from bug 77410, but no preview image is displayed.

Alex
Comment 49 Alex Thurgood 2014-04-20 13:48:58 UTC
(In reply to comment #48)
> Version: 4.2.5.0.0+
> Build ID: d65fff78bfcb4c557d35eec8293c9109ab34fc03
> TinderBox: MacOSX-10.8@21-10.7SDK, Branch:libreoffice-4-2, Time:
> 2014-04-19_15:59:10
> 
> I can insert the movie from bug 77410, but no preview image is displayed.
> 
> Alex

Tested on OSX 10.8.2
Comment 50 pranjit 2014-04-27 13:57:47 UTC
The same problem with libreoffice 4.2.3.3 mac osx 10.9
no video file can be inserted
Comment 51 retired 2014-05-07 14:31:36 UTC
*** Bug 77329 has been marked as a duplicate of this bug. ***
Comment 52 Alex Thurgood 2014-05-08 16:11:30 UTC
See also :

https://issues.apache.org/ooo/show_bug.cgi?id=124800

which explains why this no longer works in OSX >= 10.9
Comment 53 tommy27 2014-05-08 16:49:04 UTC
moving to mab4.2 list since is still confirmed in 4.2.x and 4.1.x reached EOL

@Alex 
what about the recent committ from "hdu" in AOO? did it solve that issue or not?
Comment 54 tommy27 2014-05-26 09:58:45 UTC
*** Bug 78913 has been marked as a duplicate of this bug. ***
Comment 55 Caolán McNamara 2014-05-28 15:48:37 UTC
Can someone retest now in 4.3.0 and see if now fixed ?
Comment 56 retired 2014-05-30 14:05:54 UTC
This is still a big problem.

(1) Videos in test file show with light grey question mark on a dark grey background (instead of a still from the video)
(2) Videos do not play at all

Environment: OS X 10.9.3, LO 4.3b1 VLC and quicktime installed.
Comment 57 retired 2014-05-30 14:45:17 UTC
FYI: inserting a mp4 video works in writer + impress. I see the grey questionmark (instead of a stil from the movie) BUT the movie does indeed play.

interestingly that is not the case when I open the the attached test file and try to play the included videos.


Opening the test file in win 8.1 also does not play the videos so maybe sth is off with the test file?

has the test file worked for anybody?
Comment 58 retired 2014-05-30 15:26:44 UTC
morefindings: test document seems to contain avi files. I tested here with another avi file (from http://www.freevbcode.com/ShowCode.asp?ID=4801 , just download the zip which contains a very small avi).

MP4: can insert and play (grey questionmark is displayed when not playing)
MKV: can not insert ("not supported")
AVI: can insert but not play (grey questionmark is displayed when not playing)

jmadero tested avi under linux and couldn't play the avi after inserting into impress.

This bug is very chaotic. Should we split it into single bugs (per container?) and then see, on which platform the issue exists and go from there?
Comment 59 Alex Thurgood 2014-05-30 17:59:28 UTC
Tests on OSX 10.9.3
Master Version: 4.4.0.0.alpha0+
Build ID: f961cf50a7bcdcb173aa835db7bd891841947c31

Impress
Insert AVI : OK
Preview : Yes
Preview Playback : Nothing
Fullscreen slideshow : nothing
OS supports full playback via : MplayerX


Insert MP4 : OK
Preview : Yes
Preview Playback : sound only
Fullscreen slideshow : partial sound / dropout
OS supports full playback via : MplayerX / VLC / Quicktime

Insert Webm : ok
Preview : yes
Preview Playback : sound only
Fullscreen slideshow : sound only
OS supports full playback via : MplayerX / VLC

Insert WMV : ok
Preview : yes
Preview Playback : sound only
Fullscreen slideshow : sound only
OS supports full playback via : MplayerX / VLC

Insert ogv : ok
Preview : yes
Preview Playback : sound only
Fullscreen slideshow : sound only
OS supports full playback via : MplayerX / VLC
Comment 60 Alex Thurgood 2014-05-30 18:17:20 UTC
Test files :

bird.avi: RIFF (little-endian) data, AVI, 256 x 240, 30.00 fps, video: Indeo 4.1

clipcanvas_14348_offline.mp4: ISO Media, MPEG v4 system, version 2

clipcanvas_14348_WMV_640x360.wmv: Microsoft ASF

Typing_example.ogv: Ogg data, Theora video

The Sneezing Baby Panda.mp4: ISO Media, MPEG v4 system, version 2
Comment 61 retired 2014-05-30 21:48:01 UTC
Indeed a regression since the test avi plays in LO 3.3
Comment 62 Alex Thurgood 2014-05-31 09:10:15 UTC
IMHO, there are/were several bugs on OSX here :

- insertion of any kind of media file into an Impress slide - this stopped working in 4.2/4.3, but now appears to be fixed (Caolan's commit);

- seeing a still preview pic in Slide Edit Mode - this appears to work for most formats where OSX has system support for the media file, but is dependent on having the support there in the first place - it is also a regression over LO 3.3;

- getting the media file to play in Slide Edit Mode with the built-in LO media player - there is definitely a problem here with the files tested so far, and is also regression over LO 3.3 with respect to those media files supported at the time ;

- getting the media file to play in Slideshow mode, i.e. when running the slideshow as fullscreen - there is definitely a problem here - most of the files tested either produced only sound or else nothing at all.
Comment 63 Joel Madero 2014-05-31 16:15:14 UTC
IMHO this bug should be closed and we should get better bug reports of single issues. Looking through the comments it just seems like we went off track and now developers have 62 comments to read.

So for an example I would think this specific issue should be a single bug ".avi files do not play in Impress"

Steps:
1. Open impress
2. Insert an avi file
3. Try to play it

Observed: Will not play
Expected: Should play

Regression - worked in 3.3.0
Tested on: LibreOffice 4.1,4.2, 4.3 beta1

And then we can get other bug reports for the other issues presented. The problem with this one is some of the issues listed by Alex only affect OSX, others affect all OS's (the avi one for instance). Thoughts?
Comment 64 Florian Reisinger 2014-05-31 19:23:19 UTC
*** Bug 77410 has been marked as a duplicate of this bug. ***
Comment 65 Florian Reisinger 2014-05-31 19:43:15 UTC
Hi,
So /me has finished reading :)
I agree we should open new bugs. For not working on OSX, following several bugs, there is a link to this extension: https://people.apache.org/~arielch/extensions/avmedia/aoo-avmedia-quicktime-0.0.1-macosx-x86-64.oxt (made for AOO). The problem is the API for media is deprecated there, so we should really switch to VLC. What's the state BTW. As this is a bug in the codec support (AFAIK) on Windows and Linux, I would close this as NOTOURBUG. For Windows, every movie which is able to be played in Windows Media Player using DirectShow (if I remember correctly, BTW: MS Powerpoint has the same problem, but I guess it installs some codecs). I am too less into Linux, but I guess it is quite the same with the gstreamer library (we should really go for VLC btw). For MacOSX it is our bug, because the API is deprecated. I think I have heard that the multimedia thing changed on Win8(.1) (deprecated). Anyway, I do hope that this will be one of the last commits to this bug. Do not take me rude if I close this as INVALID, it just got too long.... For all people interested, please comment the new bug URLs, feel free to CC me :) 

Sorry for such a long paragraph as well....
For Writer: I do not get the need for Audio/Video there....

Yours,
Florian R.
Comment 66 Yousuf Philips (jay) (retired) 2014-05-31 20:38:58 UTC
Just dropping my two cents as i opened bug 79468 after reading through this thread and deciding to do extensive video testing in Linux on all video formats that could be outputted through QWinFF. I'm happy to say that with the right packages installed, all is well on Linux including preview of the video, playback, and seeking with preview if you have 0.8.10 of libav-tools, except for MKVs. With version 9.13-0 that comes with ubuntu 14.04, MKVs are also fine.

Also did testing in Windows 7 with K-Lite Codec Mega Pack installed and i had AVIs and MKVs that played fine in Windows Media Player that couldnt be inserted.
Comment 67 Alex Thurgood 2014-06-03 07:54:33 UTC
The AOO extension provided as an attempt to patch momentarily the missing support does not install on LO, it looks for a specific version of AOO 4.1
Comment 68 Robinson Tryon (qubit) 2015-10-07 22:10:04 UTC
For a very extensive summary of audio, video, and image support in LibreOffice (across Win, Mac, and Linux), please see:
https://wiki.documentfoundation.org/Media_Support/Summary